Name:           python-dmri-amico
Version:        2.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Accelerated Microstructure Imaging via Convex Optimization (AMICO)

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/daducci/AMICO
Source:         %{pypi_source dmri_amico}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dmri-amico' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dmri-amico
Summary:        %{summary}

%description -n python3-dmri-amico %_description


%prep
%autosetup -p1 -n dmri_amico-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dmri-amico -f %{pyproject_files}


%changelog
%autochangelog